{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="/static/CSS/style.css">
     <link rel="stylesheet" href="/static/CSS/bootstrap-icons.css">
    <!--    <link rel="stylesheet" href="/static/CSS/bootstrap.css">-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://kit.fontawesome.com/3b9fce8d79.js" crossorigin="anonymous"></script>
</head>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-fluid">
        {% if request.user.is_authenticated %}
        <a href="{% url 'link-create' %}" id="a-add-link" class="add-link">
            <button class="btn btn-outline-primary" style="font-size:24px;" id="add-link">New link</button>
        </a>
        <a href="{% url 'topic-create' %}" id="a-add-topic" class="add-link">
            <button class="btn btn-outline-primary" style='font-size:24px;' id="add-topic">New topic</button>
        </a>
        {% endif %}
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" aria-current="page" href="{% url 'topics' %}">Home</a>
                </li>
                <li class="nav-item dropdown" onclick="dropdown()">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
                       data-bs-toggle="dropdown" aria-expanded="false">
                        Miscellaneous
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" id="dropdown">
                        {% if user.is_authenticated %}
                        <li><a class="dropdown-item" href="{% url 'profile-view'  id=request.user.id%}">{{request.user.username}}</a>
                        </li>
                        <li><a class="dropdown-item" href="{% url 'logout' %}">Logout</a></li>
                        {% else %}
                        <li><a class="dropdown-item" href="{% url 'login' %}">Login</a></li>
                        {% endif %}
                    </ul>
                </li>
            </ul>
            <form method="post" action="{% url 'search-engine' %}" enctype="multipart/form-data" class="d-flex"
                  id="search-form">
                {% csrf_token %}
                <div class="form-group">
                    <input type="text" id="text-bar" name="q" class="form-control">
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-outline-success" id="search-btn">Search</button>
                </div>
            </form>
        </div>
    </div>
</nav>
<body>
<div class="inner-body">
    <div class="block1">
        {% block title %}
        {% endblock %}
    </div>

    <div class="block2">
        {% block content1 %}
        {% endblock %}
    </div>
</div>
<script>
    function dropdown(){
        let toggle = document.getElementById("dropdown");
        let i = toggle.style.display;
        console.log(i)
        if(i === ""){
            toggle.style.display = "block";
        }
        else if(i==="none"){
            toggle.style.display = "block";
        }
      else{toggle.style.display = "none";}
    }
</script>

<div class="navbar navbar-dark bg-dark" id="footer">
    <div class="tab">
        <a href="#">About the website</a>
    </div>
</div>
</body>
</html>